using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class DockAndDynamicZones : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Page_Init(object sender, EventArgs e)
    {

        RadDockZone dockZone = new RadDockZone();
        dockZone.ID = "DockZone_1";
        dockZone.Orientation = System.Web.UI.WebControls.Orientation.Vertical;
        dockZone.Height = 125;
        dockZone.MinHeight = 125;
        dockZone.CssClass = "dockZone";

        MainDockLayout.Controls.Add(dockZone);

        RadDock dock = new RadDock();
        dock.ID = string.Format("Dock_1");
        dock.Text = "Dock1";
        //dock.DockHandle = DockHandle.None;
        dock.Skin = "Vista";
        //dock.CssClass = "dockClass";
        //dock.OnClientInitialize = "SetDockHandle";

        dockZone.Controls.Add(dock);   

    }
    protected void button1_Click(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterStartupScript(this.GetType(), "docksCount1", String.Format("alert('There are {0} docks in the static zone');", SelectedRules.Docks.Count),true);
    }
    protected void MainDockLayout_SaveDockLayout(object sender, DockLayoutEventArgs e)
    {
        Page.ClientScript.RegisterStartupScript(this.GetType(), "docksCount2", String.Format("alert('There are {0} docks in the static zone');", SelectedRules.Docks.Count), true);
    }
}
